# LaTeX math to Unicode symbols translation table
# for use with the translate() method of unicode objects.
# Generated with ``write_unichar2tex.py`` from the data in
# http://milde.users.sourceforge.net/LUCR/Math/

# Includes commands from: standard LaTeX, amssymb, amsmath

uni2tex_table = {
0xa0: u'~',
0xa3: u'\\pounds ',
0xa5: u'\\yen ',
0xa7: u'\\S ',
0xac: u'\\neg ',
0xb1: u'\\pm ',
0xb6: u'\\P ',
0xd7: u'\\times ',
0xf0: u'\\eth ',
0xf7: u'\\div ',
0x131: u'\\imath ',
0x237: u'\\jmath ',
0x393: u'\\Gamma ',
0x394: u'\\Delta ',
0x398: u'\\Theta ',
0x39b: u'\\Lambda ',
0x39e: u'\\Xi ',
0x3a0: u'\\Pi ',
0x3a3: u'\\Sigma ',
0x3a5: u'\\Upsilon ',
0x3a6: u'\\Phi ',
0x3a8: u'\\Psi ',
0x3a9: u'\\Omega ',
0x3b1: u'\\alpha ',
0x3b2: u'\\beta ',
0x3b3: u'\\gamma ',
0x3b4: u'\\delta ',
0x3b5: u'\\varepsilon ',
0x3b6: u'\\zeta ',
0x3b7: u'\\eta ',
0x3b8: u'\\theta ',
0x3b9: u'\\iota ',
0x3ba: u'\\kappa ',
0x3bb: u'\\lambda ',
0x3bc: u'\\mu ',
0x3bd: u'\\nu ',
0x3be: u'\\xi ',
0x3c0: u'\\pi ',
0x3c1: u'\\rho ',
0x3c2: u'\\varsigma ',
0x3c3: u'\\sigma ',
0x3c4: u'\\tau ',
0x3c5: u'\\upsilon ',
0x3c6: u'\\varphi ',
0x3c7: u'\\chi ',
0x3c8: u'\\psi ',
0x3c9: u'\\omega ',
0x3d1: u'\\vartheta ',
0x3d5: u'\\phi ',
0x3d6: u'\\varpi ',
0x3dd: u'\\digamma ',
0x3f0: u'\\varkappa ',
0x3f1: u'\\varrho ',
0x3f5: u'\\epsilon ',
0x3f6: u'\\backepsilon ',
0x2001: u'\\quad ',
0x2003: u'\\quad ',
0x2006: u'\\, ',
0x2016: u'\\| ',
0x2020: u'\\dagger ',
0x2021: u'\\ddagger ',
0x2022: u'\\bullet ',
0x2026: u'\\ldots ',
0x2032: u'\\prime ',
0x2035: u'\\backprime ',
0x205f: u'\\: ',
0x2102: u'\\mathbb{C}',
0x210b: u'\\mathcal{H}',
0x210c: u'\\mathfrak{H}',
0x210d: u'\\mathbb{H}',
0x210f: u'\\hslash ',
0x2110: u'\\mathcal{I}',
0x2111: u'\\Im ',
0x2112: u'\\mathcal{L}',
0x2113: u'\\ell ',
0x2115: u'\\mathbb{N}',
0x2118: u'\\wp ',
0x2119: u'\\mathbb{P}',
0x211a: u'\\mathbb{Q}',
0x211b: u'\\mathcal{R}',
0x211c: u'\\Re ',
0x211d: u'\\mathbb{R}',
0x2124: u'\\mathbb{Z}',
0x2127: u'\\mho ',
0x2128: u'\\mathfrak{Z}',
0x212c: u'\\mathcal{B}',
0x212d: u'\\mathfrak{C}',
0x2130: u'\\mathcal{E}',
0x2131: u'\\mathcal{F}',
0x2132: u'\\Finv ',
0x2133: u'\\mathcal{M}',
0x2135: u'\\aleph ',
0x2136: u'\\beth ',
0x2137: u'\\gimel ',
0x2138: u'\\daleth ',
0x2190: u'\\leftarrow ',
0x2191: u'\\uparrow ',
0x2192: u'\\rightarrow ',
0x2193: u'\\downarrow ',
0x2194: u'\\leftrightarrow ',
0x2195: u'\\updownarrow ',
0x2196: u'\\nwarrow ',
0x2197: u'\\nearrow ',
0x2198: u'\\searrow ',
0x2199: u'\\swarrow ',
0x219a: u'\\nleftarrow ',
0x219b: u'\\nrightarrow ',
0x219e: u'\\twoheadleftarrow ',
0x21a0: u'\\twoheadrightarrow ',
0x21a2: u'\\leftarrowtail ',
0x21a3: u'\\rightarrowtail ',
0x21a6: u'\\mapsto ',
0x21a9: u'\\hookleftarrow ',
0x21aa: u'\\hookrightarrow ',
0x21ab: u'\\looparrowleft ',
0x21ac: u'\\looparrowright ',
0x21ad: u'\\leftrightsquigarrow ',
0x21ae: u'\\nleftrightarrow ',
0x21b0: u'\\Lsh ',
0x21b1: u'\\Rsh ',
0x21b6: u'\\curvearrowleft ',
0x21b7: u'\\curvearrowright ',
0x21ba: u'\\circlearrowleft ',
0x21bb: u'\\circlearrowright ',
0x21bc: u'\\leftharpoonup ',
0x21bd: u'\\leftharpoondown ',
0x21be: u'\\upharpoonright ',
0x21bf: u'\\upharpoonleft ',
0x21c0: u'\\rightharpoonup ',
0x21c1: u'\\rightharpoondown ',
0x21c2: u'\\downharpoonright ',
0x21c3: u'\\downharpoonleft ',
0x21c4: u'\\rightleftarrows ',
0x21c6: u'\\leftrightarrows ',
0x21c7: u'\\leftleftarrows ',
0x21c8: u'\\upuparrows ',
0x21c9: u'\\rightrightarrows ',
0x21ca: u'\\downdownarrows ',
0x21cb: u'\\leftrightharpoons ',
0x21cc: u'\\rightleftharpoons ',
0x21cd: u'\\nLeftarrow ',
0x21ce: u'\\nLeftrightarrow ',
0x21cf: u'\\nRightarrow ',
0x21d0: u'\\Leftarrow ',
0x21d1: u'\\Uparrow ',
0x21d2: u'\\Rightarrow ',
0x21d3: u'\\Downarrow ',
0x21d4: u'\\Leftrightarrow ',
0x21d5: u'\\Updownarrow ',
0x21da: u'\\Lleftarrow ',
0x21db: u'\\Rrightarrow ',
0x21dd: u'\\rightsquigarrow ',
0x21e0: u'\\dashleftarrow ',
0x21e2: u'\\dashrightarrow ',
0x2200: u'\\forall ',
0x2201: u'\\complement ',
0x2202: u'\\partial ',
0x2203: u'\\exists ',
0x2204: u'\\nexists ',
0x2205: u'\\emptyset ',
0x2207: u'\\nabla ',
0x2208: u'\\in ',
0x2209: u'\\notin ',
0x220b: u'\\ni ',
0x220f: u'\\prod ',
0x2210: u'\\coprod ',
0x2211: u'\\sum ',
0x2212: u'-',
0x2213: u'\\mp ',
0x2214: u'\\dotplus ',
0x2215: u'\\slash ',
0x2216: u'\\smallsetminus ',
0x2217: u'\\ast ',
0x2218: u'\\circ ',
0x2219: u'\\bullet ',
0x221a: u'\\surd ',
0x221b: u'\\sqrt[3] ',
0x221c: u'\\sqrt[4] ',
0x221d: u'\\propto ',
0x221e: u'\\infty ',
0x2220: u'\\angle ',
0x2221: u'\\measuredangle ',
0x2222: u'\\sphericalangle ',
0x2223: u'\\mid ',
0x2224: u'\\nmid ',
0x2225: u'\\parallel ',
0x2226: u'\\nparallel ',
0x2227: u'\\wedge ',
0x2228: u'\\vee ',
0x2229: u'\\cap ',
0x222a: u'\\cup ',
0x222b: u'\\int ',
0x222c: u'\\iint ',
0x222d: u'\\iiint ',
0x222e: u'\\oint ',
0x2234: u'\\therefore ',
0x2235: u'\\because ',
0x2236: u':',
0x223c: u'\\sim ',
0x223d: u'\\backsim ',
0x2240: u'\\wr ',
0x2241: u'\\nsim ',
0x2242: u'\\eqsim ',
0x2243: u'\\simeq ',
0x2245: u'\\cong ',
0x2247: u'\\ncong ',
0x2248: u'\\approx ',
0x224a: u'\\approxeq ',
0x224d: u'\\asymp ',
0x224e: u'\\Bumpeq ',
0x224f: u'\\bumpeq ',
0x2250: u'\\doteq ',
0x2251: u'\\Doteq ',
0x2252: u'\\fallingdotseq ',
0x2253: u'\\risingdotseq ',
0x2256: u'\\eqcirc ',
0x2257: u'\\circeq ',
0x225c: u'\\triangleq ',
0x2260: u'\\neq ',
0x2261: u'\\equiv ',
0x2264: u'\\leq ',
0x2265: u'\\geq ',
0x2266: u'\\leqq ',
0x2267: u'\\geqq ',
0x2268: u'\\lneqq ',
0x2269: u'\\gneqq ',
0x226a: u'\\ll ',
0x226b: u'\\gg ',
0x226c: u'\\between ',
0x226e: u'\\nless ',
0x226f: u'\\ngtr ',
0x2270: u'\\nleq ',
0x2271: u'\\ngeq ',
0x2272: u'\\lesssim ',
0x2273: u'\\gtrsim ',
0x2276: u'\\lessgtr ',
0x2277: u'\\gtrless ',
0x227a: u'\\prec ',
0x227b: u'\\succ ',
0x227c: u'\\preccurlyeq ',
0x227d: u'\\succcurlyeq ',
0x227e: u'\\precsim ',
0x227f: u'\\succsim ',
0x2280: u'\\nprec ',
0x2281: u'\\nsucc ',
0x2282: u'\\subset ',
0x2283: u'\\supset ',
0x2286: u'\\subseteq ',
0x2287: u'\\supseteq ',
0x2288: u'\\nsubseteq ',
0x2289: u'\\nsupseteq ',
0x228a: u'\\subsetneq ',
0x228b: u'\\supsetneq ',
0x228e: u'\\uplus ',
0x228f: u'\\sqsubset ',
0x2290: u'\\sqsupset ',
0x2291: u'\\sqsubseteq ',
0x2292: u'\\sqsupseteq ',
0x2293: u'\\sqcap ',
0x2294: u'\\sqcup ',
0x2295: u'\\oplus ',
0x2296: u'\\ominus ',
0x2297: u'\\otimes ',
0x2298: u'\\oslash ',
0x2299: u'\\odot ',
0x229a: u'\\circledcirc ',
0x229b: u'\\circledast ',
0x229d: u'\\circleddash ',
0x229e: u'\\boxplus ',
0x229f: u'\\boxminus ',
0x22a0: u'\\boxtimes ',
0x22a1: u'\\boxdot ',
0x22a2: u'\\vdash ',
0x22a3: u'\\dashv ',
0x22a4: u'\\top ',
0x22a5: u'\\bot ',
0x22a7: u'\\models ',
0x22a8: u'\\vDash ',
0x22a9: u'\\Vdash ',
0x22aa: u'\\Vvdash ',
0x22ac: u'\\nvdash ',
0x22ad: u'\\nvDash ',
0x22ae: u'\\nVdash ',
0x22af: u'\\nVDash ',
0x22b2: u'\\vartriangleleft ',
0x22b3: u'\\vartriangleright ',
0x22b4: u'\\trianglelefteq ',
0x22b5: u'\\trianglerighteq ',
0x22b8: u'\\multimap ',
0x22ba: u'\\intercal ',
0x22bb: u'\\veebar ',
0x22bc: u'\\barwedge ',
0x22c0: u'\\bigwedge ',
0x22c1: u'\\bigvee ',
0x22c2: u'\\bigcap ',
0x22c3: u'\\bigcup ',
0x22c4: u'\\diamond ',
0x22c5: u'\\cdot ',
0x22c6: u'\\star ',
0x22c7: u'\\divideontimes ',
0x22c8: u'\\bowtie ',
0x22c9: u'\\ltimes ',
0x22ca: u'\\rtimes ',
0x22cb: u'\\leftthreetimes ',
0x22cc: u'\\rightthreetimes ',
0x22cd: u'\\backsimeq ',
0x22ce: u'\\curlyvee ',
0x22cf: u'\\curlywedge ',
0x22d0: u'\\Subset ',
0x22d1: u'\\Supset ',
0x22d2: u'\\Cap ',
0x22d3: u'\\Cup ',
0x22d4: u'\\pitchfork ',
0x22d6: u'\\lessdot ',
0x22d7: u'\\gtrdot ',
0x22d8: u'\\lll ',
0x22d9: u'\\ggg ',
0x22da: u'\\lesseqgtr ',
0x22db: u'\\gtreqless ',
0x22de: u'\\curlyeqprec ',
0x22df: u'\\curlyeqsucc ',
0x22e0: u'\\npreceq ',
0x22e1: u'\\nsucceq ',
0x22e6: u'\\lnsim ',
0x22e7: u'\\gnsim ',
0x22e8: u'\\precnsim ',
0x22e9: u'\\succnsim ',
0x22ea: u'\\ntriangleleft ',
0x22eb: u'\\ntriangleright ',
0x22ec: u'\\ntrianglelefteq ',
0x22ed: u'\\ntrianglerighteq ',
0x22ee: u'\\vdots ',
0x22ef: u'\\cdots ',
0x22f1: u'\\ddots ',
0x2308: u'\\lceil ',
0x2309: u'\\rceil ',
0x230a: u'\\lfloor ',
0x230b: u'\\rfloor ',
0x231c: u'\\ulcorner ',
0x231d: u'\\urcorner ',
0x231e: u'\\llcorner ',
0x231f: u'\\lrcorner ',
0x2322: u'\\frown ',
0x2323: u'\\smile ',
0x23aa: u'\\bracevert ',
0x23b0: u'\\lmoustache ',
0x23b1: u'\\rmoustache ',
0x23d0: u'\\arrowvert ',
0x23de: u'\\overbrace ',
0x23df: u'\\underbrace ',
0x24c7: u'\\circledR ',
0x24c8: u'\\circledS ',
0x25b2: u'\\blacktriangle ',
0x25b3: u'\\bigtriangleup ',
0x25b7: u'\\triangleright ',
0x25bc: u'\\blacktriangledown ',
0x25bd: u'\\bigtriangledown ',
0x25c1: u'\\triangleleft ',
0x25c7: u'\\Diamond ',
0x25ca: u'\\lozenge ',
0x25ef: u'\\bigcirc ',
0x25fb: u'\\square ',
0x25fc: u'\\blacksquare ',
0x2605: u'\\bigstar ',
0x2660: u'\\spadesuit ',
0x2661: u'\\heartsuit ',
0x2662: u'\\diamondsuit ',
0x2663: u'\\clubsuit ',
0x266d: u'\\flat ',
0x266e: u'\\natural ',
0x266f: u'\\sharp ',
0x2713: u'\\checkmark ',
0x2720: u'\\maltese ',
0x27c2: u'\\perp ',
0x27cb: u'\\diagup ',
0x27cd: u'\\diagdown ',
0x27e8: u'\\langle ',
0x27e9: u'\\rangle ',
0x27ee: u'\\lgroup ',
0x27ef: u'\\rgroup ',
0x27f5: u'\\longleftarrow ',
0x27f6: u'\\longrightarrow ',
0x27f7: u'\\longleftrightarrow ',
0x27f8: u'\\Longleftarrow ',
0x27f9: u'\\Longrightarrow ',
0x27fa: u'\\Longleftrightarrow ',
0x27fc: u'\\longmapsto ',
0x29eb: u'\\blacklozenge ',
0x29f5: u'\\setminus ',
0x2a00: u'\\bigodot ',
0x2a01: u'\\bigoplus ',
0x2a02: u'\\bigotimes ',
0x2a04: u'\\biguplus ',
0x2a06: u'\\bigsqcup ',
0x2a0c: u'\\iiiint ',
0x2a3f: u'\\amalg ',
0x2a5e: u'\\doublebarwedge ',
0x2a7d: u'\\leqslant ',
0x2a7e: u'\\geqslant ',
0x2a85: u'\\lessapprox ',
0x2a86: u'\\gtrapprox ',
0x2a87: u'\\lneq ',
0x2a88: u'\\gneq ',
0x2a89: u'\\lnapprox ',
0x2a8a: u'\\gnapprox ',
0x2a8b: u'\\lesseqqgtr ',
0x2a8c: u'\\gtreqqless ',
0x2a95: u'\\eqslantless ',
0x2a96: u'\\eqslantgtr ',
0x2aaf: u'\\preceq ',
0x2ab0: u'\\succeq ',
0x2ab5: u'\\precneqq ',
0x2ab6: u'\\succneqq ',
0x2ab7: u'\\precapprox ',
0x2ab8: u'\\succapprox ',
0x2ab9: u'\\precnapprox ',
0x2aba: u'\\succnapprox ',
0x2ac5: u'\\subseteqq ',
0x2ac6: u'\\supseteqq ',
0x2acb: u'\\subsetneqq ',
0x2acc: u'\\supsetneqq ',
0x2b1c: u'\\Box ',
0x1d400: u'\\mathbf{A}',
0x1d401: u'\\mathbf{B}',
0x1d402: u'\\mathbf{C}',
0x1d403: u'\\mathbf{D}',
0x1d404: u'\\mathbf{E}',
0x1d405: u'\\mathbf{F}',
0x1d406: u'\\mathbf{G}',
0x1d407: u'\\mathbf{H}',
0x1d408: u'\\mathbf{I}',
0x1d409: u'\\mathbf{J}',
0x1d40a: u'\\mathbf{K}',
0x1d40b: u'\\mathbf{L}',
0x1d40c: u'\\mathbf{M}',
0x1d40d: u'\\mathbf{N}',
0x1d40e: u'\\mathbf{O}',
0x1d40f: u'\\mathbf{P}',
0x1d410: u'\\mathbf{Q}',
0x1d411: u'\\mathbf{R}',
0x1d412: u'\\mathbf{S}',
0x1d413: u'\\mathbf{T}',
0x1d414: u'\\mathbf{U}',
0x1d415: u'\\mathbf{V}',
0x1d416: u'\\mathbf{W}',
0x1d417: u'\\mathbf{X}',
0x1d418: u'\\mathbf{Y}',
0x1d419: u'\\mathbf{Z}',
0x1d41a: u'\\mathbf{a}',
0x1d41b: u'\\mathbf{b}',
0x1d41c: u'\\mathbf{c}',
0x1d41d: u'\\mathbf{d}',
0x1d41e: u'\\mathbf{e}',
0x1d41f: u'\\mathbf{f}',
0x1d420: u'\\mathbf{g}',
0x1d421: u'\\mathbf{h}',
0x1d422: u'\\mathbf{i}',
0x1d423: u'\\mathbf{j}',
0x1d424: u'\\mathbf{k}',
0x1d425: u'\\mathbf{l}',
0x1d426: u'\\mathbf{m}',
0x1d427: u'\\mathbf{n}',
0x1d428: u'\\mathbf{o}',
0x1d429: u'\\mathbf{p}',
0x1d42a: u'\\mathbf{q}',
0x1d42b: u'\\mathbf{r}',
0x1d42c: u'\\mathbf{s}',
0x1d42d: u'\\mathbf{t}',
0x1d42e: u'\\mathbf{u}',
0x1d42f: u'\\mathbf{v}',
0x1d430: u'\\mathbf{w}',
0x1d431: u'\\mathbf{x}',
0x1d432: u'\\mathbf{y}',
0x1d433: u'\\mathbf{z}',
0x1d434: u'A',
0x1d435: u'B',
0x1d436: u'C',
0x1d437: u'D',
0x1d438: u'E',
0x1d439: u'F',
0x1d43a: u'G',
0x1d43b: u'H',
0x1d43c: u'I',
0x1d43d: u'J',
0x1d43e: u'K',
0x1d43f: u'L',
0x1d440: u'M',
0x1d441: u'N',
0x1d442: u'O',
0x1d443: u'P',
0x1d444: u'Q',
0x1d445: u'R',
0x1d446: u'S',
0x1d447: u'T',
0x1d448: u'U',
0x1d449: u'V',
0x1d44a: u'W',
0x1d44b: u'X',
0x1d44c: u'Y',
0x1d44d: u'Z',
0x1d44e: u'a',
0x1d44f: u'b',
0x1d450: u'c',
0x1d451: u'd',
0x1d452: u'e',
0x1d453: u'f',
0x1d454: u'g',
0x1d456: u'i',
0x1d457: u'j',
0x1d458: u'k',
0x1d459: u'l',
0x1d45a: u'm',
0x1d45b: u'n',
0x1d45c: u'o',
0x1d45d: u'p',
0x1d45e: u'q',
0x1d45f: u'r',
0x1d460: u's',
0x1d461: u't',
0x1d462: u'u',
0x1d463: u'v',
0x1d464: u'w',
0x1d465: u'x',
0x1d466: u'y',
0x1d467: u'z',
0x1d49c: u'\\mathcal{A}',
0x1d49e: u'\\mathcal{C}',
0x1d49f: u'\\mathcal{D}',
0x1d4a2: u'\\mathcal{G}',
0x1d4a5: u'\\mathcal{J}',
0x1d4a6: u'\\mathcal{K}',
0x1d4a9: u'\\mathcal{N}',
0x1d4aa: u'\\mathcal{O}',
0x1d4ab: u'\\mathcal{P}',
0x1d4ac: u'\\mathcal{Q}',
0x1d4ae: u'\\mathcal{S}',
0x1d4af: u'\\mathcal{T}',
0x1d4b0: u'\\mathcal{U}',
0x1d4b1: u'\\mathcal{V}',
0x1d4b2: u'\\mathcal{W}',
0x1d4b3: u'\\mathcal{X}',
0x1d4b4: u'\\mathcal{Y}',
0x1d4b5: u'\\mathcal{Z}',
0x1d504: u'\\mathfrak{A}',
0x1d505: u'\\mathfrak{B}',
0x1d507: u'\\mathfrak{D}',
0x1d508: u'\\mathfrak{E}',
0x1d509: u'\\mathfrak{F}',
0x1d50a: u'\\mathfrak{G}',
0x1d50d: u'\\mathfrak{J}',
0x1d50e: u'\\mathfrak{K}',
0x1d50f: u'\\mathfrak{L}',
0x1d510: u'\\mathfrak{M}',
0x1d511: u'\\mathfrak{N}',
0x1d512: u'\\mathfrak{O}',
0x1d513: u'\\mathfrak{P}',
0x1d514: u'\\mathfrak{Q}',
0x1d516: u'\\mathfrak{S}',
0x1d517: u'\\mathfrak{T}',
0x1d518: u'\\mathfrak{U}',
0x1d519: u'\\mathfrak{V}',
0x1d51a: u'\\mathfrak{W}',
0x1d51b: u'\\mathfrak{X}',
0x1d51c: u'\\mathfrak{Y}',
0x1d51e: u'\\mathfrak{a}',
0x1d51f: u'\\mathfrak{b}',
0x1d520: u'\\mathfrak{c}',
0x1d521: u'\\mathfrak{d}',
0x1d522: u'\\mathfrak{e}',
0x1d523: u'\\mathfrak{f}',
0x1d524: u'\\mathfrak{g}',
0x1d525: u'\\mathfrak{h}',
0x1d526: u'\\mathfrak{i}',
0x1d527: u'\\mathfrak{j}',
0x1d528: u'\\mathfrak{k}',
0x1d529: u'\\mathfrak{l}',
0x1d52a: u'\\mathfrak{m}',
0x1d52b: u'\\mathfrak{n}',
0x1d52c: u'\\mathfrak{o}',
0x1d52d: u'\\mathfrak{p}',
0x1d52e: u'\\mathfrak{q}',
0x1d52f: u'\\mathfrak{r}',
0x1d530: u'\\mathfrak{s}',
0x1d531: u'\\mathfrak{t}',
0x1d532: u'\\mathfrak{u}',
0x1d533: u'\\mathfrak{v}',
0x1d534: u'\\mathfrak{w}',
0x1d535: u'\\mathfrak{x}',
0x1d536: u'\\mathfrak{y}',
0x1d537: u'\\mathfrak{z}',
0x1d538: u'\\mathbb{A}',
0x1d539: u'\\mathbb{B}',
0x1d53b: u'\\mathbb{D}',
0x1d53c: u'\\mathbb{E}',
0x1d53d: u'\\mathbb{F}',
0x1d53e: u'\\mathbb{G}',
0x1d540: u'\\mathbb{I}',
0x1d541: u'\\mathbb{J}',
0x1d542: u'\\mathbb{K}',
0x1d543: u'\\mathbb{L}',
0x1d544: u'\\mathbb{M}',
0x1d546: u'\\mathbb{O}',
0x1d54a: u'\\mathbb{S}',
0x1d54b: u'\\mathbb{T}',
0x1d54c: u'\\mathbb{U}',
0x1d54d: u'\\mathbb{V}',
0x1d54e: u'\\mathbb{W}',
0x1d54f: u'\\mathbb{X}',
0x1d550: u'\\mathbb{Y}',
0x1d55c: u'\\Bbbk ',
0x1d5a0: u'\\mathsf{A}',
0x1d5a1: u'\\mathsf{B}',
0x1d5a2: u'\\mathsf{C}',
0x1d5a3: u'\\mathsf{D}',
0x1d5a4: u'\\mathsf{E}',
0x1d5a5: u'\\mathsf{F}',
0x1d5a6: u'\\mathsf{G}',
0x1d5a7: u'\\mathsf{H}',
0x1d5a8: u'\\mathsf{I}',
0x1d5a9: u'\\mathsf{J}',
0x1d5aa: u'\\mathsf{K}',
0x1d5ab: u'\\mathsf{L}',
0x1d5ac: u'\\mathsf{M}',
0x1d5ad: u'\\mathsf{N}',
0x1d5ae: u'\\mathsf{O}',
0x1d5af: u'\\mathsf{P}',
0x1d5b0: u'\\mathsf{Q}',
0x1d5b1: u'\\mathsf{R}',
0x1d5b2: u'\\mathsf{S}',
0x1d5b3: u'\\mathsf{T}',
0x1d5b4: u'\\mathsf{U}',
0x1d5b5: u'\\mathsf{V}',
0x1d5b6: u'\\mathsf{W}',
0x1d5b7: u'\\mathsf{X}',
0x1d5b8: u'\\mathsf{Y}',
0x1d5b9: u'\\mathsf{Z}',
0x1d5ba: u'\\mathsf{a}',
0x1d5bb: u'\\mathsf{b}',
0x1d5bc: u'\\mathsf{c}',
0x1d5bd: u'\\mathsf{d}',
0x1d5be: u'\\mathsf{e}',
0x1d5bf: u'\\mathsf{f}',
0x1d5c0: u'\\mathsf{g}',
0x1d5c1: u'\\mathsf{h}',
0x1d5c2: u'\\mathsf{i}',
0x1d5c3: u'\\mathsf{j}',
0x1d5c4: u'\\mathsf{k}',
0x1d5c5: u'\\mathsf{l}',
0x1d5c6: u'\\mathsf{m}',
0x1d5c7: u'\\mathsf{n}',
0x1d5c8: u'\\mathsf{o}',
0x1d5c9: u'\\mathsf{p}',
0x1d5ca: u'\\mathsf{q}',
0x1d5cb: u'\\mathsf{r}',
0x1d5cc: u'\\mathsf{s}',
0x1d5cd: u'\\mathsf{t}',
0x1d5ce: u'\\mathsf{u}',
0x1d5cf: u'\\mathsf{v}',
0x1d5d0: u'\\mathsf{w}',
0x1d5d1: u'\\mathsf{x}',
0x1d5d2: u'\\mathsf{y}',
0x1d5d3: u'\\mathsf{z}',
0x1d670: u'\\mathtt{A}',
0x1d671: u'\\mathtt{B}',
0x1d672: u'\\mathtt{C}',
0x1d673: u'\\mathtt{D}',
0x1d674: u'\\mathtt{E}',
0x1d675: u'\\mathtt{F}',
0x1d676: u'\\mathtt{G}',
0x1d677: u'\\mathtt{H}',
0x1d678: u'\\mathtt{I}',
0x1d679: u'\\mathtt{J}',
0x1d67a: u'\\mathtt{K}',
0x1d67b: u'\\mathtt{L}',
0x1d67c: u'\\mathtt{M}',
0x1d67d: u'\\mathtt{N}',
0x1d67e: u'\\mathtt{O}',
0x1d67f: u'\\mathtt{P}',
0x1d680: u'\\mathtt{Q}',
0x1d681: u'\\mathtt{R}',
0x1d682: u'\\mathtt{S}',
0x1d683: u'\\mathtt{T}',
0x1d684: u'\\mathtt{U}',
0x1d685: u'\\mathtt{V}',
0x1d686: u'\\mathtt{W}',
0x1d687: u'\\mathtt{X}',
0x1d688: u'\\mathtt{Y}',
0x1d689: u'\\mathtt{Z}',
0x1d68a: u'\\mathtt{a}',
0x1d68b: u'\\mathtt{b}',
0x1d68c: u'\\mathtt{c}',
0x1d68d: u'\\mathtt{d}',
0x1d68e: u'\\mathtt{e}',
0x1d68f: u'\\mathtt{f}',
0x1d690: u'\\mathtt{g}',
0x1d691: u'\\mathtt{h}',
0x1d692: u'\\mathtt{i}',
0x1d693: u'\\mathtt{j}',
0x1d694: u'\\mathtt{k}',
0x1d695: u'\\mathtt{l}',
0x1d696: u'\\mathtt{m}',
0x1d697: u'\\mathtt{n}',
0x1d698: u'\\mathtt{o}',
0x1d699: u'\\mathtt{p}',
0x1d69a: u'\\mathtt{q}',
0x1d69b: u'\\mathtt{r}',
0x1d69c: u'\\mathtt{s}',
0x1d69d: u'\\mathtt{t}',
0x1d69e: u'\\mathtt{u}',
0x1d69f: u'\\mathtt{v}',
0x1d6a0: u'\\mathtt{w}',
0x1d6a1: u'\\mathtt{x}',
0x1d6a2: u'\\mathtt{y}',
0x1d6a3: u'\\mathtt{z}',
0x1d6a4: u'\\imath ',
0x1d6a5: u'\\jmath ',
0x1d6aa: u'\\mathbf{\\Gamma}',
0x1d6ab: u'\\mathbf{\\Delta}',
0x1d6af: u'\\mathbf{\\Theta}',
0x1d6b2: u'\\mathbf{\\Lambda}',
0x1d6b5: u'\\mathbf{\\Xi}',
0x1d6b7: u'\\mathbf{\\Pi}',
0x1d6ba: u'\\mathbf{\\Sigma}',
0x1d6bc: u'\\mathbf{\\Upsilon}',
0x1d6bd: u'\\mathbf{\\Phi}',
0x1d6bf: u'\\mathbf{\\Psi}',
0x1d6c0: u'\\mathbf{\\Omega}',
0x1d6e4: u'\\mathit{\\Gamma}',
0x1d6e5: u'\\mathit{\\Delta}',
0x1d6e9: u'\\mathit{\\Theta}',
0x1d6ec: u'\\mathit{\\Lambda}',
0x1d6ef: u'\\mathit{\\Xi}',
0x1d6f1: u'\\mathit{\\Pi}',
0x1d6f4: u'\\mathit{\\Sigma}',
0x1d6f6: u'\\mathit{\\Upsilon}',
0x1d6f7: u'\\mathit{\\Phi}',
0x1d6f9: u'\\mathit{\\Psi}',
0x1d6fa: u'\\mathit{\\Omega}',
0x1d6fc: u'\\alpha ',
0x1d6fd: u'\\beta ',
0x1d6fe: u'\\gamma ',
0x1d6ff: u'\\delta ',
0x1d700: u'\\varepsilon ',
0x1d701: u'\\zeta ',
0x1d702: u'\\eta ',
0x1d703: u'\\theta ',
0x1d704: u'\\iota ',
0x1d705: u'\\kappa ',
0x1d706: u'\\lambda ',
0x1d707: u'\\mu ',
0x1d708: u'\\nu ',
0x1d709: u'\\xi ',
0x1d70b: u'\\pi ',
0x1d70c: u'\\rho ',
0x1d70d: u'\\varsigma ',
0x1d70e: u'\\sigma ',
0x1d70f: u'\\tau ',
0x1d710: u'\\upsilon ',
0x1d711: u'\\varphi ',
0x1d712: u'\\chi ',
0x1d713: u'\\psi ',
0x1d714: u'\\omega ',
0x1d715: u'\\partial ',
0x1d716: u'\\epsilon ',
0x1d717: u'\\vartheta ',
0x1d718: u'\\varkappa ',
0x1d719: u'\\phi ',
0x1d71a: u'\\varrho ',
0x1d71b: u'\\varpi ',
0x1d7ce: u'\\mathbf{0}',
0x1d7cf: u'\\mathbf{1}',
0x1d7d0: u'\\mathbf{2}',
0x1d7d1: u'\\mathbf{3}',
0x1d7d2: u'\\mathbf{4}',
0x1d7d3: u'\\mathbf{5}',
0x1d7d4: u'\\mathbf{6}',
0x1d7d5: u'\\mathbf{7}',
0x1d7d6: u'\\mathbf{8}',
0x1d7d7: u'\\mathbf{9}',
0x1d7e2: u'\\mathsf{0}',
0x1d7e3: u'\\mathsf{1}',
0x1d7e4: u'\\mathsf{2}',
0x1d7e5: u'\\mathsf{3}',
0x1d7e6: u'\\mathsf{4}',
0x1d7e7: u'\\mathsf{5}',
0x1d7e8: u'\\mathsf{6}',
0x1d7e9: u'\\mathsf{7}',
0x1d7ea: u'\\mathsf{8}',
0x1d7eb: u'\\mathsf{9}',
0x1d7f6: u'\\mathtt{0}',
0x1d7f7: u'\\mathtt{1}',
0x1d7f8: u'\\mathtt{2}',
0x1d7f9: u'\\mathtt{3}',
0x1d7fa: u'\\mathtt{4}',
0x1d7fb: u'\\mathtt{5}',
0x1d7fc: u'\\mathtt{6}',
0x1d7fd: u'\\mathtt{7}',
0x1d7fe: u'\\mathtt{8}',
0x1d7ff: u'\\mathtt{9}',
}
